Subject: openrc dependency rc_want, how to stop wanted service

From: Stefan Hartmann <[email-masked]>
Date: Wed, 26 Feb 2025 17:07:24 +0100

Hi,

I am running alpine-release 3.21.3 as virtualization host with lxc.

One container is started with symlinked lxc.CONTVM as usual, where 
lxc.CONTVM is in default runlevel.

In /etc/conf.d/lxc.CONTVM I have
   rc_want="dmcrypt.CONTVM"
to start the symlinked /etc/init.d/dmcrypt.CONTVM to decrypt some 
relating stuff specified in /etc/conf.d/dmcrypt.CONTVM, eg the 
passphrase is correctly prompted at the console of the virtualization host.
dmcrypt.CONTVM is not added to any runlevel.
It works till now as expected.

But when I stop the CONTVM, eg with rc-service lxc.CONTVM stop, the 
rc_want-dependent service dmcrypt.CONTVM is not stopped.

What are neat solutions to also stop dmcrypt.CONTVM as dependency in openrc?
I would be nice to only adjust conf.d/

-- 
stefanh